summaryrefslogtreecommitdiff
path: root/dev-python/pythran
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-14 13:35:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-09-14 13:35:05 +0000
commitf91d75e12e94a0a78fe02b44ca98b02cc95c9a4c (patch)
treed923a03bdfc6d21cfac611fb3e49b81da6a4341a /dev-python/pythran
parent786b35b35d3372ebef7753edd7cc1cf922819ed0 (diff)
downloadbaldeagleos-repo-f91d75e12e94a0a78fe02b44ca98b02cc95c9a4c.tar.gz
baldeagleos-repo-f91d75e12e94a0a78fe02b44ca98b02cc95c9a4c.tar.xz
baldeagleos-repo-f91d75e12e94a0a78fe02b44ca98b02cc95c9a4c.zip
Adding metadata
Diffstat (limited to 'dev-python/pythran')
-rw-r--r--dev-python/pythran/Manifest1
-rw-r--r--dev-python/pythran/pythran-0.10.0.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/pythran/Manifest b/dev-python/pythran/Manifest
index 5bfcf999394d..c271acb35dc9 100644
--- a/dev-python/pythran/Manifest
+++ b/dev-python/pythran/Manifest
@@ -1 +1,2 @@
+DIST pythran-0.10.0.gh.tar.gz 3614984 BLAKE2B 82686479d475c6814392eb6c34e2d765ba36c88f9de3119f38c81b3f09d07acce8f5ab11b31114c13a1aa3bebd3699c540edcc6203401a007caf02c960a4733b SHA512 3d48d6f12fcd0317cb756eee18ad359057e4daee1a496023253b26febd2acf0fd22c3b4976bc8552a137d25052e4feaacf1917c5dc84414e9fbed66dff5c1614
DIST pythran-0.9.12.post1.gh.tar.gz 3612135 BLAKE2B 1c0650d249a0834a488aba6f48d1130b8897b4b220523d3aaa0f7557609f9cfcc208563980b6855132199fd394b45404c4c15c961380ea2089121c5c9eea65b2 SHA512 71a9dec2ca9eca85a2b3e52022e262135b4f1642d646bfc66323bd8b7545a11351d70aaec0fd90d82dc0ba23ec6733a30c8d807e5d90ff5c208d2995a6ac6f83
diff --git a/dev-python/pythran/pythran-0.10.0.ebuild b/dev-python/pythran/pythran-0.10.0.ebuild
new file mode 100644
index 000000000000..9f61c0b9075e
--- /dev/null
+++ b/dev-python/pythran/pythran-0.10.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Ahead of Time compiler for numeric kernels"
+HOMEPAGE="
+ https://pypi.org/project/pythran/
+ https://github.com/serge-sans-paille/pythran/"
+SRC_URI="
+ https://github.com/serge-sans-paille/pythran/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-python/beniget-0.4*[${PYTHON_USEDEP}]
+ =dev-python/gast-0.5*[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/ply-3.4[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ virtual/cblas
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/pytest-runner/d' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x COLUMNS=80
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}